Bug 867957 - Kernel now forcing closed LVDS active/primary
Kernel now forcing closed LVDS active/primary
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 12:45 EDT by Tim S
Modified: 2013-07-31 22:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:18:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Smolt output (3.54 KB, application/octet-stream)
2012-10-18 12:45 EDT, Tim S
no flags Details

  None (edit)
Description Tim S 2012-10-18 12:45:44 EDT
Created attachment 629566 [details]
Smolt output

Description of problem:
When booting into kernel-3.6.1-1.fc17.x86_64 and my laptop is docked with the lid closed, the login screen is on the closed display, not the attached LCD. When I boot kernel-3.5.6-1.fc17.x86_64 the login screen is on the attached LCD.


Version-Release number of selected component (if applicable):
kernel-3.6.1-1.fc17.x86_64


How reproducible:
So far every time

Steps to Reproduce:
1. Boot kernel-3.6.1-1.fc17.x86_64
2. Try to login
3.
  
Actual results:
Login screen is on the closed laptop display and I can see it if I move the docking station to where I can open the display


Expected results:
Login screen displays to the attached LCD when the laptop lid is closed


Additional info:
Comment 1 Tim S 2012-10-18 12:48:52 EDT
The problem also manifests when I logout and try to log back in.
Comment 2 Tim S 2012-10-22 14:04:13 EDT
The problem continues in kernel-3.6.2-4.fc17.x86_64
Comment 3 Tim S 2012-10-31 11:26:32 EDT
Still there in kernel-3.6.3-1.fc17.x86_64
Comment 4 Tim S 2012-10-31 13:18:07 EDT
Per https://fedoraproject.org/wiki/KernelBugTriage moving this to xorg-x11-drv-intel since this is associated with a video problem.

[    23.498] (II) intel(0): EDID vendor "AUO", prod id 20516
Comment 5 Fedora End Of Life 2013-07-03 19:32:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 22:18:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.